#include "conversationmessagewidget.h"
#include "ui_conversationmessagewidget.h"
#include "../data/user.h"
#include "../data/conversationmessage.h"
#include "../helpers/imageloadhelper.h"

ConversationMessageWidget::ConversationMessageWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::ConversationMessageWidget)
{
    ui->setupUi(this);
}

ConversationMessageWidget::~ConversationMessageWidget()
{
    delete ui;
}

void ConversationMessageWidget::setMessage(const ConversationMessage &message, const User &user)
{
    ui->nameLabel->setText(user.displayName());
    ui->messageLabel->setText(message.message());
    ImageLoadHelper::Load(ui->accountImageLabel, user.accountImage());

    //Add message image (if any)
    if(message.hasImage()){
        QLabel *label = new QLabel;
        label->setParent(ui->messageContentContainer);
        label->setScaledContents(true);
        label->setMaximumSize(200, 200);
        ui->messageLayout->addWidget(label);
        ImageLoadHelper::Load(label, message.imagePath());
    }
}
